Subject: Re: Linker switches [ was: Re: API's that certainly do work. ]
From: [email-masked] (Mumit Khan)

28 Mar 1997 08:28:27 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: [email-masked]
Original-Cc: [email-masked]
In-Reply-To: Your message of "Thu, 27 Mar 1997 16:12:29 CST."
             <[email-masked]> 
Original-Sender: [email-masked]

Regarding adding -lkernel32 specifically to the link line, 
DRS <[email-masked]> writes:
> 
> I guess my question is, why would you want to do this anyway? 

Probably mostly due to other software package telling you to do it.
Pdcurses, eg., is one (but surprisingly works just fine when I do
add -lkernel32!). The other one is octave, and the reason is due to 
the way octave configure script works (and octave does crashe 
mysteriously when -lkernel32 is added to link line).

> I have been unable to find any documentation about the
> linker switch in question (-lkernel32) except that it appears 
> to be mentioned in earlier versions of the distribution. 
> If someone wants to explain the in's and outs of these 
> various (win32 specific) switches and how they are supposed 
> to work, I'm all ears. Do doubt this information would be 
> of general interest.

Seconded.

Regards,
Mumit -- [email-masked]
http://www.xraylith.wisc.edu/~khan/

ps: Wonder why the sometime 24-48 hour delay in the mailing list
messages? Or am I only one seeing the messages after so long?
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".